hbase-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "stack (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HBASE-13428) Migration to hbase-2.0.0
Date Tue, 19 Sep 2017 14:47:00 GMT

    [ https://issues.apache.org/jira/browse/HBASE-13428?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16171808#comment-16171808
] 

stack commented on HBASE-13428:
-------------------------------

If you get this exception starting up hbase (usually an hbase minicluster):

{code}
Caused by: java.lang.RuntimeException: Failed construction of Master: class org.apache.hadoop.hbase.master.HMasterorg.apache.hadoop.hbase.shaded.io.netty.channel.epoll.NativeStaticallyReferencedJniMethods.epollin()I
	at org.apache.hadoop.hbase.util.JVMClusterUtil.createMasterThread(JVMClusterUtil.java:145)
	at org.apache.hadoop.hbase.LocalHBaseCluster.addMaster(LocalHBaseCluster.java:217)
	at org.apache.hadoop.hbase.LocalHBaseCluster.<init>(LocalHBaseCluster.java:152)
	at org.apache.hadoop.hbase.MiniHBaseCluster.init(MiniHBaseCluster.java:214)
	... 16 more
Caused by: java.lang.UnsatisfiedLinkError: failed to load the required native library
	at org.apache.hadoop.hbase.shaded.io.netty.channel.epoll.Epoll.ensureAvailability(Epoll.java:78)
	at org.apache.hadoop.hbase.shaded.io.netty.channel.epoll.EpollEventLoopGroup.<clinit>(EpollEventLoopGroup.java:38)
	at org.apache.hadoop.hbase.util.NettyEventLoopGroupConfig.<init>(NettyEventLoopGroupConfig.java:61)
	at org.apache.hadoop.hbase.regionserver.HRegionServer.<init>(HRegionServer.java:552)
	at org.apache.hadoop.hbase.master.HMaster.<init>(HMaster.java:475)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:408)
	at org.apache.hadoop.hbase.util.JVMClusterUtil.createMasterThread(JVMClusterUtil.java:140)
	... 19 more
Caused by: java.lang.UnsatisfiedLinkError: org.apache.hadoop.hbase.shaded.io.netty.channel.epoll.NativeStaticallyReferencedJniMethods.epollin()I
	at org.apache.hadoop.hbase.shaded.io.netty.channel.epoll.NativeStaticallyReferencedJniMethods.epollin(Native
Method)
	at org.apache.hadoop.hbase.shaded.io.netty.channel.epoll.Native.<clinit>(Native.java:66)
	at org.apache.hadoop.hbase.shaded.io.netty.channel.epoll.Epoll.<clinit>(Epoll.java:33)
	... 28 more
{code}

... then see http://hbase.apache.org/book.html#thirdparty When an hbase instance is started,
it must have a netty flag set on the cmdline so our shaded netty can find its native lib implementation.
This is the flag that needs to be added {code}-Dorg.apache.hadoop.hbase.shaded.io.netty.packagePrefix=org.apache.hadoop.hbase.shaded.{code}
(include the ending period).

> Migration to hbase-2.0.0
> ------------------------
>
>                 Key: HBASE-13428
>                 URL: https://issues.apache.org/jira/browse/HBASE-13428
>             Project: HBase
>          Issue Type: Umbrella
>          Components: migration
>            Reporter: stack
>            Priority: Blocker
>             Fix For: 2.0.0
>
>
> Opening a 2.0 umbrella migration issue. Lets hang off this one any tools and expectations
migrating from 1.0 (or earlier) to 2.0. So far there are none that I know of though there
is an expectation in HBASE-13373 that hfiles are at least major version 2 and minor version
3.  Lets list all such expectations, etc., here.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message